REM Suggestion for the main configuration file for SSONET
REM to use it, it must be copied to jpath.bat.

REM SSONET needs Jdk >= 1.2.0, and the libraries Javahelp, Cryptix and Socks
REM these libraries must be in the CLASSPATH 
set CLASSPATH=d:\Programme\cryptix32\cryptix32.jar;D:\Programme\jh1.1\javahelp\lib\jh.jar;D:\Programme\socks\socks\lib\socks.jar;.

REM the path of the java binary
set JAVA_BIN=d:\programme\jdk1.3\bin

REM some envireonment variables must be passed to the SSONET programms
REM the base directory of the SSONET-tree: 
set SSONET_CD=d:\work\ssonet\stable\
 
REM the configuration directory for the SSONET base system
set SSONET_CFG=%ssonet_cd%cfg\

REM the base directory of the SSONET help files
set SSONET_HELP=file:///work/ssonet/stable/help/hilfetexte/

REM for debugging purposes the environment variable debug must be set
set SSONET_DEBUG=debug

set ENV_SETTINGS=-Dssonet_cfg=%SSONET_CFG% -Dssonet_help=%SSONET_HELP% -Dssonet_cd=%SSONET_CD% -D%SSONET_DEBUG%


REM The user configuration directory, where the user specific configuration data is read from
REM SSONET_USERDIR can be set with -Dssonet_userdir=<userdir> as parameter for java
REM It only holds the the name of the directory, not the hole path
REM SSONET_USERDIR=Standardkunde
