package smi.mechanisms.anonymity;

import javax.swing.JFrame;

import java.net.*;
import socks.*;

import smi.mechanisms.AbstractAnonymityMechanism;
import smi.mechanisms.MechanismConfiguration;


/**
 * Use this class to provide <b>client anonymity</b> for SSONET.
 * All connections are made through the local ANON-service which is
 * responsible for sending all the data throug mixes.
 * This class creates a socket connection to the local ANON-service.
 * It is also used to configure the local ANON-service from SSONET.
 */
public class AnonService extends AbstractAnonymityMechanism {
	protected Socket socksSocket;
	
	/** 
	 * This method is used to configure the local ANON-service on runtime.<br>
	 * It provides a useer interface for the configuration of the anon service.
	 * @param parentFrame the parent window of the dialog 
	 * @param actualMechanismConfiguration the actual configuration data for this mechanism
	 */
    public MechanismConfiguration configDetail(JFrame parentFrame,
											   MechanismConfiguration actualMechanismConfiguration) {
		// display dialog here
		// make configuration here
		return null;
	}
	
	
	/**
	 * This methods gets the default configuration for the ANON-service.<br>
	 * It gets all available mixcascades from the net via the ANON-service,
	 * sets all local ports to the default value.
	 */
	public MechanismConfiguration getDefaultConfiguration() {
		MechanismConfiguration defaultMechanismConfiguration = new MechanismConfiguration();
		// mix cascaden laden und in die Liste eintragen.
		// aktuelle portnummern lesen und eintragen.
		return defaultMechanismConfiguration;
	}
	
	
}
