/*
 * state/StateTreeConstants.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package state;

public final class StateTreeConstants {
    public final static byte CONFIDENTIALITY = 0;
    public final static byte ACCOUNTABILITY_SIGN = 1;
    public final static byte ACCOUNTABILITY_ACCEPT = 2;
    public final static byte ANONYMITY = 3;
    public final static byte INTEGRITY = 4;
    public final static byte INFORMATION = 9;
    public final static byte CONFLICT = 10;
    public final static byte USER = 11;
    public final static byte DEBUG = 12;
    public final static byte CONFLICTICON = 20;
    public final static byte ATTENTIONICON = 21;
    public final static byte INFOICON = 22;
    public final static byte GRAYICON = 23;
    public final static byte DEBUGICON = 24;
    public final static byte VERYIMPORTANT = 2;
    public final static byte IMPORTANT = 1;
    public final static byte LOWIMPORTANT = 0;
    public final static byte SZ = 5;
    public final static byte RESETCONFLICTS = 6;
    public final static byte TCBEFORE = 7;
    public final static byte TCAFTER = 8;
    public final static byte NOTHING = 9;
    private StateTreeConstants() {
    }
}
