/*
 * smi/baseConf/AboutBaseConfiguration.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package smi.baseConf;

import java.awt.Color;
import java.awt.Font;

import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.SwingConstants;
import javax.swing.border.BevelBorder;
import javax.swing.border.EmptyBorder;

class AboutBaseConfiguration {
    public AboutBaseConfiguration(JFrame parentFrame) {
	Object messages[] = new Object[4];

	messages[0] = new JLabel(new ImageIcon(getClass().getResource("images/ssonet.gif")));

	if(messages[0] == null) System.exit(0);

	((JLabel)messages[0]).setBorder(new BevelBorder(BevelBorder.RAISED));
	((JLabel)messages[0]).setBackground(new Color(255,255,128));

	messages[1] = new JLabel("Security Managment Interface", SwingConstants.CENTER);
	messages[2] = new JLabel("Base Configuration", SwingConstants.CENTER);
	((JLabel)messages[2]).setForeground(Color.blue);
	((JLabel)messages[2]).setFont(new Font("Dialog", Font.BOLD,14));
	((JLabel)messages[2]).setBorder(new EmptyBorder(10,0,10,0));

	JOptionPane optionPane = new JOptionPane(messages);
	optionPane.setDoubleBuffered(false);

	JDialog dialog = optionPane.createDialog(parentFrame,"Info");

	dialog.setModal(true);

	dialog.show();

    }
}
