/*
 * experimental source code
 * sproxy/server/AbstractServer.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package sproxy.server;

/**
* Stellt einen Abstrakten Server dar. Abgeleitete Klassen koennen als Verbindungsglied
* zwischen der SSONET Leitung und dem lokalen Dienst (z.Bsp. FTP) dienen
*/
public abstract class AbstractServer {
    /**
    * als Rueckgabe wird der Port erwartet, auf dem der Server lauschen soll
    */
    abstract int getlisteningPort();

    /**
    * als Rueckgabe wird der Port erwartet, auf dem der eigentliche Dienst, zum Bsp. FTP liegt.
    */
    abstract int getsendingPort();

    /**
    * Adresse des Rechners, der den eigentlichen Dienst zur Vefuegung stellt
    */
    abstract String getRR();
}
